#include <bits/stdc++.h>

//
//God Bless Me /(^_^)/
//

using namespace std;
using ll = long long;
using ld = long double;

const int mod = 1e9 + 7;
const int maxn = 2e5 + 1;

void solve() {
    int t, n, m; cin >> t >> n >> m;

    if (m % 2 == 0) {
        cout << "No";
        return;
    }

    cout << "YES\n";

    if (t == 2) {
        cout << m / 2 + 1 << '\n';
    }

    if (t == 3) {
        cout << "1\n";
        cout << m / 2 << " " << m / 2 + 1;
    }
}

signed main() {
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

    int it = 1;

    //cin >> it;

    while (it--) {
        solve();
    }
}